/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package com.xpn.xwiki.plugin.ldap;

import com.xpn.xwiki.XWikiException;

/**
 * LDAP plugin base exception.
 * 
 * @version $Id: 2f92df1d424569b45477629a5fea96dc19e7f141 $
 */
public class XWikiLDAPException extends XWikiException
{
    /**
     * Create new instance of LDAP exception.
     * 
     * @param message error message.
     */
    public XWikiLDAPException(String message)
    {
        super(XWikiException.MODULE_XWIKI_PLUGINS, XWikiException.ERROR_XWIKI_UNKNOWN, message);
    }
    
    /**
     * Create new instance of LDAP exception.
     * 
     * @param message error message.
     * @param e the wrapped exception.
     */
    public XWikiLDAPException(String message, Exception e)
    {
        super(XWikiException.MODULE_XWIKI_PLUGINS, XWikiException.ERROR_XWIKI_UNKNOWN, message, e);
    }
}
